Results 1 to 9 of 9

Thread: synaptic problems with broken package kdebase-runtime

  1. #1
    Join Date
    Oct 2009
    Location
    nl
    Beans
    17
    Distro
    Kubuntu 9.04 Jaunty Jackalope

    synaptic problems with broken package kdebase-runtime

    hello

    I'm fairly a newbe.
    Synaptic tells me I have a broken package: kdebase runtime
    It tells when repairing:
    E: /var/cache/apt/archives/kdebase-runtime_4%3a4.2.2-0ubuntu1.1_amd64.deb: poging tot overschrijven van `/usr/lib/kde4/libexec/kdesu', wat ook in pakket kdesudo zit

    in english Try to overwrite......what also in the package kdesudo

    I can not repair it. Now I can not update anything.
    jaunty
    AMD64
    almost everything works well

    I saw on another site itś an existing bug, but didn't found a solution
    who can help me step by step

  2. #2
    Join Date
    Mar 2006
    Beans
    8,345

    Re: synaptic problems with broken package kdebase-runtime

    Type in terminal

    Code:
    sudo apt-get -f install
    There is no greater religion than a truth.

  3. #3
    Join Date
    Oct 2009
    Location
    nl
    Beans
    17
    Distro
    Kubuntu 9.04 Jaunty Jackalope

    Re: synaptic problems with broken package kdebase-runtime

    thank you very much for your reaction
    so i did type interminal

    then it looks like that it ends at the same point synaptic also ends

    attempt to rewrite `/usr/lib/kde4/libexec/kdesu which is also in the package kdesudo
    ( i translated the above sentence)

    looks there is someting wrong with:
    /var/cache/apt/archives/kdebase-runtime_4%3a4.2.2-0ubuntu1.1_amd64.deb

    Iḿ struggling

  4. #4
    Join Date
    Jan 2010
    Beans
    1

    Re: synaptic problems with broken package kdebase-runtime

    Hi kweetniet,

    You are lucky I just had the same problem and I solved it with just removing kde-sudo

    sudo apt-get remove kde-sudo

    After that I did the dist-upgrade without any problems!

    Best regards,

    Eric Schoonderwal


    Quote Originally Posted by kweetniet View Post
    hello

    I'm fairly a newbe.
    Synaptic tells me I have a broken package: kdebase runtime
    It tells when repairing:
    E: /var/cache/apt/archives/kdebase-runtime_4%3a4.2.2-0ubuntu1.1_amd64.deb: poging tot overschrijven van `/usr/lib/kde4/libexec/kdesu', wat ook in pakket kdesudo zit

    in english Try to overwrite......what also in the package kdesudo

    I can not repair it. Now I can not update anything.
    jaunty
    AMD64
    almost everything works well

    I saw on another site itś an existing bug, but didn't found a solution
    who can help me step by step

  5. #5
    Join Date
    Oct 2009
    Location
    nl
    Beans
    17
    Distro
    Kubuntu 9.04 Jaunty Jackalope

    Re: synaptic problems with broken package kdebase-runtime

    hoi Eric
    Can I removing kde sudo without any damage (what does kde sudo do)

    after dist-upgrade do i have another distribution? 9.10 or so
    do i upgrade with synaptic?

    Victor

  6. #6
    Join Date
    Mar 2006
    Beans
    8,345

    Re: synaptic problems with broken package kdebase-runtime

    After

    Code:
    sudo apt-get dist-upgrade
    you will still have Jaunty.But yes you can upgrade via synaptic.Refresh and after that mark all upgrades.
    There is no greater religion than a truth.

  7. #7
    Join Date
    Oct 2009
    Location
    nl
    Beans
    17
    Distro
    Kubuntu 9.04 Jaunty Jackalope

    Re: synaptic problems with broken package kdebase-runtime

    try to remove kdesudo in terminal

    answer: couldn't find kdesudo
    Problem still exist

    victor

  8. #8
    Join Date
    Oct 2009
    Location
    nl
    Beans
    17
    Distro
    Kubuntu 9.04 Jaunty Jackalope

    Re: synaptic problems with broken package kdebase-runtime

    still no solution
    ?

  9. #9
    Join Date
    Oct 2009
    Location
    nl
    Beans
    17
    Distro
    Kubuntu 9.04 Jaunty Jackalope

    Re: synaptic problems with broken package kdebase-runtime

    unbelievable I think i did it

    i found this :
    sudo dpkg-divert --package kdebase-runtime --divert /usr/lib/kde4/libexec/kdesu.not-kdebase-runtime --rename /usr/lib/kde4/libexec/kdesu

    this cleared the broken package syndrom in synaptic

    I foun it here:

    https://bugs.launchpad.net/ubuntu/+s...me/+bug/345776
    #13

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •